<?xml version="1.0" encoding="UTF-8"?>

<!-- This file contains job definitions in schema version 2.0 format -->
<job-scheduling-data xmlns="http://quartznet.sourceforge.net/JobSchedulingData" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0">
    <processing-directives>
      <overwrite-existing-data>true</overwrite-existing-data>
    </processing-directives>

    <schedule>
        <job> 
            <name>MyJob</name> 
            <group>MyJobs</group> 
            <description>Logs a message to the application log</description> 
            <job-type>CharterDotCom.Common.Quartz.MyJob, CharterDotCom.Common.Quartz</job-type> 
            <durable>true</durable> 
            <recover>false</recover> 
        </job>
      
        <trigger>
            <cron> 
                <name>MyJobTrigger</name> 
                <group>MyJobs</group> 
                <description>A description</description> 
                <job-name>MyJob</job-name> 
                <job-group>MyJobs</job-group>
              
                <!-- every minute -->
                <!--
                <cron-expression>0 0/1 * 1/1 * ? *</cron-expression>
                -->

                <!-- every hour -->
                <cron-expression>0 0 0/1 1/1 * ? *</cron-expression>

                <!-- every day at 3am -->
                <!--
                <cron-expression>0 0 3 1/1 * ? *</cron-expression> 
                -->
            </cron>
<!--
            <simple>
                <name>sampleSimpleTrigger</name>
                <group>sampleSimpleGroup</group>
                <description>Simple trigger to simply fire sample job</description>
                <job-name>MyJob</job-name>
                <job-group>MyJobs</job-group>
                <misfire-instruction>SmartPolicy</misfire-instruction>
                <repeat-count>-1</repeat-count>
                <repeat-interval>10000</repeat-interval>
            </simple>
-->

        </trigger> 
    </schedule>
</job-scheduling-data>
